#
# spec file for package libqtpod
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libqtpod
Url:            http://sourceforge.net/projects/kpod
Version:        0.4.2
Release:        32.2
Summary:        A Qt based library to access the data on an Apple iPod
License:        GPL-2.0+ and LGPL-2.1+
Group:          Productivity/Multimedia/Sound/Utilities
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         libqtpod-%{version}.tar.bz2
BuildRequires:  qt3-devel
BuildRequires:  xorg-x11-libs
Patch1:         libqtpod-0.4.2.patch
Patch2:         libqtpod-target.patch
Patch3:         libqtpod-gcc47.patch

%description
A Qt based library to access the data on an Apple iPod



Authors:
--------
    Michael Schulze <mike.s@genion.de>

%package -n libqtpod0
Provides:       libqtpod = %{version}-%{release}
#
Summary:        A Qt based library to access the data on an Apple iPod
Group:          Productivity/Multimedia/Sound/Utilities

%description -n libqtpod0
A Qt based library to access the data on an Apple iPod



Authors:
--------
    Michael Schulze <mike.s@genion.de>

%package devel
Requires:       libqtpod0 = %{version}
Summary:        A Qt based library to access the data on an Apple iPod
Group:          Development/Libraries/C and C++

%description devel
A Qt based library to access the data on an Apple iPod



Authors:
--------
    Michael Schulze <mike.s@genion.de>

%package doc
Summary:        A Qt based library to access the data on an Apple iPod
Group:          Productivity/Multimedia/Sound/Utilities

%description doc
A Qt based library to access the data on an Apple iPod.

This package provides additional documentation for libqtpod



Authors:
--------
    Michael Schulze <mike.s@genion.de>

%prep
%setup -n libqtpod-%{version}
%patch1
%patch2
%patch3 -p1

%build
export QTDIR=/usr/lib/qt3
export PATH="$QTDIR/bin:$PATH"
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" /usr/lib/qt3/bin/qmake -d
make

%install
BUILDLIBDIR=%{buildroot}%{_libdir} BUILDINCLDIR=%{buildroot}%{_includedir}/libqtpod %makeinstall

%post -n libqtpod0 -p /sbin/ldconfig

%postun -n libqtpod0 -p /sbin/ldconfig

%files -n libqtpod0
%defattr(-, root, root)
%{_libdir}/*.so.*

%files doc
%defattr(-, root, root)
%doc README Changelog
%doc docs/*

%files devel
%defattr(-, root, root)
%{_includedir}/libqtpod
%{_libdir}/*.so

%changelog
* Wed Mar  6 2013 coolo@suse.com
- update license to new format
* Sat Mar 24 2012 dimstar@opensuse.org
- Add libqtpod-gcc47.patch: Fix build with gcc 4.7.
* Fri Feb 15 2008 dmueller@suse.de
- fix install location for devel package
* Mon Feb  4 2008 ro@suse.de
- require library from devel package
* Wed Jan 30 2008 ro@suse.de
- rework package naming, follow library packaging policy
* Wed Jan 30 2008 mskibbe@suse.de
- fix install path
- create devel package
* Mon Jan 21 2008 mskibbe@suse.de
- update to version 0.4.2 which
  o does checks if the itunesdb was successfully written and
    restores from backup copy if this failed
  o checks if the original database file is compatible with this
    version and refuses to overwrite / change incompatible files.
    This is currently the case with iPod Nano 3G, classic and touch
  o improved compatibility 1st/2nd generation iPod Nano
* Mon Jan 14 2008 dmueller@suse.de
- fix build
* Fri Oct 27 2006 dmueller@suse.de
- don't build as root
* Mon Oct  9 2006 mskibbe@suse.de
- update to version 0.3 which
  o License change to LGPL
  o implemented Smart Playlists
  o implemented ipod initialization for pristine devices
  o added trackNumber to ITunesDB::findTrack and TrackPredicates::ByFullInfo
  o create backup copies for all DB related files when writing
  o Documentation fixes
  o changed ITunesDB::findFirstTrackBy() and ::getTracksBy() to use a reference
  o instead of a pointer to the predicate
  o fixed DBID generation
  o fixed overwriting existing files after iTunes reorganized track IDs
  o fixed ordering artists with a "The" in the name
  o lots of small fixes: code + design
* Wed Jul 12 2006 mskibbe@suse.de
- fix problems at make install - now make install installs install
  direct to the wanted directorieS
* Mon Jul 10 2006 mskibbe@suse.de
- create package because the new version of kio_ipodslave need
  the files provided by this package
